<?php
namespace Teknisa\DF\Factories;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\Libs\Util\Environment;
use Doctrine\ORM\EntityManager;

class Ger80909GrupoProdutoConsultoriaFactory extends \Teknisa\DF\Controllers\TeknisaCrud {
    
    private $connection;

    public function __construct(EntityManager $entityManager){
        $this->entityManager = $entityManager;
        $this->connection = $entityManager->getConnection();
    }

    public function zerarPonteiroAtualizacao() {
        $sql = "UPDATE SYS_DADOSACESSO SET PONTEIRO_ATUALIZACAO = ''";

        $std = $this->connection->prepare($sql);
        return $std->execute();
    }
    
    public function getCenariosGrupo($cdgrupprodcon) {
        $sql = "SELECT ID_CENARIO, CDGRUPPRODCON FROM CENARIOGRUP WHERE CDGRUPPRODCON = :P_CDGRUPPRODCON";

        $params = array("P_CDGRUPPRODCON" => $cdgrupprodcon);

        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
        return $std->fetchAll();
    }

}